/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { ToolActionDescription } from "./ToolActionDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var ToolActionSubPanelDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ToolActionSubPanelDescription, _super);
    function ToolActionSubPanelDescription() {
        var _this = _super.call(this) || this;
        _this.dv = 0;
        return _this;
    }
    ToolActionSubPanelDescription.prototype.get_type = function () {
        return "ToolActionSubPanel";
    };
    Object.defineProperty(ToolActionSubPanelDescription.prototype, "itemSpacing", {
        get: function () {
            return this.dv;
        },
        set: function (a) {
            this.dv = a;
            this.g("ItemSpacing");
        },
        enumerable: false,
        configurable: true
    });
    ToolActionSubPanelDescription.$t = markType(ToolActionSubPanelDescription, 'ToolActionSubPanelDescription', ToolActionDescription.$);
    return ToolActionSubPanelDescription;
}(ToolActionDescription));
export { ToolActionSubPanelDescription };
